%define		rev  -rc6
%define		vers 2.6.34
Summary: 	LINUX Kernel
Name: 		linux
Version: 	2.6.34
Release: 	1
Copyright: 	GPL
Group: 		System
Source0: 	http://kernel.org/pub/linux/kernel/v2.6/%{name}-%{vers}.tar.bz2
Source1: 	%{name}-%{vers}.tar.gz
Patch0:		http://x-softsi.com.br/site/?p=26/bootsplash-3.1.9-2.6.33.patch
Patch1:		inotify.h.diff
Patch2:		http://www.kernel.org/pub/linux/kernel/people/edward/reiser4/reiser4-for-2.6/reiser4-for-2.6.33.patch.bz2
BuildRequires: 	module-init-tools udftools squashfs-tools udev acpid_apmd => 1.0.6_3.22
BuildRequires:	lzo-devel lzma-devel lzop
Provides:	kernel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_sysconfdir	/etc

%package 	devel
Group: 		Development
Summary: 	Kernel Headers
Provides:	linux-complete-src linux-headers kernel-headers kernel-devel
%description 	devel
For developers or developing kernel modules i.e. (kernel drivers).

%description
Kernel and headers required to run LINUX on PATA Ultra DMA 66/100/133/150 -
SATA Ultra DMA 150 - and any SCSI 10-15000 RPM device with any RAID timing(s).
_______________________________________________________________________________

This is the NEW regular Kernel that ships with aL i n u x.  Supports just about 
everything Kernel %{version} offers, plus "SMP" support.  SMP means, more then 
one CPU. If you have more then one processor, you will  e n j o y  a SMP Kernel.

FEATURES:
  o Kernel SMP version %{version}
  o Splash Screen, pktcdvd, swsusp, PATA, SATA, SCSI, latency, etc ...
  o SCSI support
  o IDE support
  o PATA support
  o SATA support
  o RAID support
  o SELinux preliminary support - Please see:  http://www.nsa.gov/selinux/
  o AUTOFSV4 - AUTOMOUNT
  o Network
  o PCMCIA
  o Sound
  o AUFS replaces UNIONFS/SQUASHFS
  o USB
  o 3D support - DRI
  o Video, FrameBuffer VESA/UVESA/SVGA, non-Acellerated 3D FB.
  Please read: /usr/src/linux/READ.TXT; for all supported hardware features.
_______________________________________________________________________________

%prep
%setup -q -n %{name}-%{vers} -a 1
find Makefile -type f -exec sed -i 's/Sheep on Meth/www.alinux.tv/' {} \;
#find Makefile -type f -exec sed -i 's/%{rev}//' {} \;
%patch0 -p1
# [PATCH2] linux/inotify.h: do not include <linux/fcntl.h> in userspace
%patch1 -p1
#patch2 -p1

if [ -s /usr/src/linux ]; then
mv /usr/src/linux /usr/src/linux.OLD
fi

if [ -s /usr/src/redhat/BUILD/%{name}-%{vers} ]; then
ln -sf /usr/src/redhat/BUILD/%{name}-%{vers} /usr/src/linux
fi

%build
make oldconfig bzImage modules

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot
mkdir -p $RPM_BUILD_ROOT/lib/modules
mkdir -p $RPM_BUILD_ROOT/boot
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d
cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz
cp System.map $RPM_BUILD_ROOT/boot
touch $RPM_BUILD_ROOT/etc/modprobe.d/modules.conf
touch $RPM_BUILD_ROOT/etc/modprobe.d/modprobe.conf
cp include/generated/*.h .
make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install;
make INSTALL_MOD_PATH=$RPM_BUILD_ROOT firmware_install; make clean
mkdir -p $RPM_BUILD_ROOT/usr/src; mv ../linux-%{vers} $RPM_BUILD_ROOT/usr/src/linux
ln -sf linux $RPM_BUILD_ROOT/usr/src/linux-%{vers}
cp $RPM_BUILD_ROOT/usr/src/linux/*.h $RPM_BUILD_ROOT/usr/src/linux/include/generated/
mv $RPM_BUILD_ROOT/usr/src/linux/*.h $RPM_BUILD_ROOT/usr/src/linux/include/linux/
cd $RPM_BUILD_ROOT/lib/modules/%{version}
find -name *.ko | xargs strip --strip-debug ./kernel/* || :
rm build source
ln -sf ../../../usr/src/linux build
ln -sf ../../../usr/src/linux source
cd $RPM_BUILD_ROOT/usr/src/linux/include
ln -sf asm asm-generic
rm $RPM_BUILD_ROOT/usr/src/linux/.config.old
cp $RPM_BUILD_ROOT/usr/src/linux/.config $RPM_BUILD_ROOT/boot/READ.TXT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a %{vers} 1>/dev/null 2>/dev/null

%files
%defattr(-, root, root)
/boot
/lib
/etc

%files devel
%defattr(-, root, root)
/usr
